[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# CommandToList

Convert a command-line to a list of command options

## Declaration

Source position: process.pp line 165

`procedure CommandToList(`
`S: string;`
`List: TStrings`
`);`

## Arguments

`S` |  | String to split up
`List` |  | List of command-line arguments, one per item

## Description

CommandToList splits the string S in command-line arguments that are returned, one per item, in the List stringlist. Command-line arguments are separated by whitespace (space, tab, CR and LF characters). If an argument needs to contain a space character, it can be surrounded in quote characters (single or double quotes).

## Errors

There is currently no way to specify a quote character inside a quoted argument.

## See also

TProcess.CommandLine |  | Command-line to execute (deprecated)

Documentation generated on: Feb 26 2014